Subject: Re: bug#62606: [PATCH] function to align mode-line elements to right

From: Eli Zaretskii <[email-masked]>
Date: Fri, 09 Jun 2023 17:52:24 +0300

> Date: Fri, 09 Jun 2023 15:28:36 +0100
> From: [email-masked]
> 
> On 2023-06-09 14:13, Eli Zaretskii wrote:
> > You can accomplish that by padding, even without right-alignment, I
> > think.
> 
> Yes you can. I just prefer how right-alignment looks. You can even think 
> of right-alignment as ane extreme case of padding, if
> 
> >> Overall, I can see that this isn't a feature you like, and probably 
> >> not
> >> one you would use either, but it's similar enough (in function and in
> >> problems) to other stuff already in Emacs
> > 
> > Sadly.
> 
> Since you don't agree with the general implementation or function of
> this patch, I don't think I'm going to be able to do anything to make it
> more acceptable for you.
> 
> I've fixed all the technical issues which have been pointed out (except
> the thing about calling `string-pixel-width', that's way beyond my
> skills atm). Clearly some people (whoever wrote and now uses
> `tab-bar-format-align-right') like features like this, so I think this
> is worth merging, in basically the state its in now. If you don't
> though, I'm happy to publish it as a separate package. What do you
> think?

Let's hear from others.  Stefan, Lars, any thoughts?  Does anyone else
have any comments about this proposed feature?

In any case, before we accept this, it must be documented and called
out in NEWS.  Also, the defcustom should have a :version tag.